## rust-msvc-demangler 0.10.1

=== Makefile ===
all: check test
.PHONY: all

check-source:
	@cargo check
.PHONY: check-source

check-format:
	@rustup component add rustfmt --toolchain stable 2> /dev/null
	@cargo +stable fmt -- --check
.PHONY: check-format

check: check-source check-format
.PHONY: check

test-cargo:
	@cargo test
.PHONY: test-cargo

test-wasm-build:
	@rustup target add wasm32-unknown-unknown --toolchain stable 2> /dev/null
	@cargo build --target=wasm32-unknown-unknown
.PHONY: test-cargo

test: test-cargo test-wasm-build
.PHONY: test

lint:
	@rustup component add clippy --toolchain stable 2> /dev/null
	@cargo +stable clippy --all --tests -- -D clippy::all
.PHONY: lint

update-readme:
	@cargo-readme -V &> /dev/null || cargo install cargo-readme
	@cargo readme > README.md
.PHONY: update-readme

=== debian/changelog ===
rust-msvc-demangler (0.10.1-1) unstable; urgency=medium

  * Package msvc-demangler 0.10.1 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Nov 2024 22:35:39 +0100

=== debian/control ===
Source: rust-msvc-demangler
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/msvc-demangler]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/msvc-demangler
X-Cargo-Crate: msvc-demangler
Rules-Requires-Root: no

Package: librust-msvc-demangler-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-2+default-dev
Provides:
 librust-msvc-demangler+default-dev (= ${binary:Version}),
 librust-msvc-demangler-0-dev (= ${binary:Version}),
 librust-msvc-demangler-0+default-dev (= ${binary:Version}),
 librust-msvc-demangler-0.10-dev (= ${binary:Version}),
 librust-msvc-demangler-0.10+default-dev (= ${binary:Version}),
 librust-msvc-demangler-0.10.1-dev (= ${binary:Version}),
 librust-msvc-demangler-0.10.1+default-dev (= ${binary:Version})
Description: Rust library that demangles / undecorates C++ symbols mangled by MSVC - Rust source code
 Source code for Debianized Rust crate "msvc-demangler"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test msvc-demangler 0.10.1 --all-targets --all-features
Features: test-name=rust-msvc-demangler:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test msvc-demangler 0.10.1 --all-targets
Features: test-name=librust-msvc-demangler-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test msvc-demangler 0.10.1 --all-targets --no-default-features
Features: test-name=librust-msvc-demangler-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/msvc-demangler-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/msvc-demangler .*/crates/msvc-demangler/@ANY_VERSION@/download
